## pass-tomb 1.1

=== Makefile ===
PROG ?= tomb
PREFIX ?= /usr
DESTDIR ?=
LIBDIR ?= $(PREFIX)/lib
SYSTEM_EXTENSION_DIR ?= $(LIBDIR)/password-store/extensions
MANDIR ?= $(PREFIX)/share/man

all:
	@echo "pass-$(PROG) is a shell script and does not need compilation, it can be simply executed."
	@echo ""
	@echo "To install it try \"make install\" instead."
	@echo
	@echo "To run pass $(PROG) one needs to have some tools installed on the system:"
	@echo "     Tomb and password store"

install:
	@install -v -d "$(DESTDIR)$(MANDIR)/man1"
	@install -v -d "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/"
	@install -v -m 0755 $(PROG).bash "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/$(PROG).bash"
	@install -v -m 0755 open.bash "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/open.bash"
	@install -v -m 0755 close.bash "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/close.bash"
	@install -v -m 0644 pass-$(PROG).1 "$(DESTDIR)$(MANDIR)/man1/pass-$(PROG).1"
	@echo
	@echo "pass-$(PROG) is installed succesfully"
	@echo

uninstall:
	@rm -vrf \
		"$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/$(PROG).bash" \
		"$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/open.bash" \
		"$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/close.bash" \
		"$(DESTDIR)$(MANDIR)/man1/pass-$(PROG).1" \

test:
	make -C tests

lint:
	shellcheck -s bash -e SC2181,SC2024 $(PROG).bash


.PHONY: install uninstall test lint

=== tests/Makefile ===
# Run tests
#
# Copyright (c) 2011-2012 Mathias Lafeldt
# Copyright (c) 2005-2012 Git project
# Copyright (c) 2005-2012 Junio C Hamano
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see http://www.gnu.org/licenses/ .

SHELL := /bin/bash
SHELL_PATH ?= $(SHELL)
SHELL_PATH_SQ = $(subst ','\'',$(SHELL_PATH))
RM ?= rm -f
PROVE ?= prove
AGGREGATE_SCRIPT ?= aggregate-results
DEFAULT_TEST_TARGET ?= test
TEST_OPTS ?= --verbose --immediate --chain-lint --root=/tmp/sharness

T = $(sort $(wildcard *.sh))

all: $(DEFAULT_TEST_TARGET)

test: pre-clean
	$(MAKE) aggregate-results-and-cleanup

prove: pre-clean
	@echo "*** prove ***"; $(PROVE) --exec '$(SHELL_PATH_SQ)' $(PROVE_OPTS) $(T) :: $(TEST_OPTS)
	$(MAKE) clean-except-prove-cache

$(T):
	@echo "*** $@ ***"; '$(SHELL_PATH_SQ)' $@ $(TEST_OPTS)

pre-clean:
	$(RM) -r test-results

clean-except-prove-cache:
	$(RM) -r 'trash directory'.* test-results

clean: clean-except-prove-cache
	$(RM) .prove

aggregate-results-and-cleanup: $(T)
	$(MAKE) aggregate-results
	$(MAKE) clean

aggregate-results:
	for f in test-results/*.counts; do \
		echo "$$f"; \
	done | '$(SHELL_PATH_SQ)' '$(AGGREGATE_SCRIPT)'

.PHONY: all test prove $(T) pre-clean clean
.PHONY: aggregate-results-and-cleanup aggregate-results

=== debian/changelog ===
pass-tomb (1.1-4) unstable; urgency=medium

  * Remove build depends because the testsuite was already deactivated
    (Closes: #916885).

 -- David Kunz <david.kunz@dknet.ch>  Fri, 11 Jan 2019 13:27:49 +0100

pass-tomb (1.1-3) unstable; urgency=medium

  * Updating year in copyright for 2019.
  * Updating to standards version 4.3.0.
  * Updating to debhelper 12.
  * Change email address
  * Change from debhelper to debhelper-compat

 -- David Kunz <david.kunz@dknet.ch>  Fri, 04 Jan 2019 10:15:54 +0100

pass-tomb (1.1-2) unstable; urgency=medium

  * Change Vcs-Git in control.
  * Add Rules-Requires-Root.
  * Add Enhances.

 -- David Kunz <david.kunz@dknet.ch>  Mon, 10 Sep 2018 13:26:10 +0200

pass-tomb (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #907633).

 -- David Kunz <david.kunz@dknet.ch>  Thu, 30 Aug 2018 13:27:30 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_test:
	# disabled

## pass-tomb 1.3

=== Makefile ===
PROG ?= tomb
PREFIX ?= /usr
DESTDIR ?=
LIBDIR ?= $(PREFIX)/lib
MANDIR ?= $(PREFIX)/share/man

SYSTEM_EXTENSION_DIR ?= $(LIBDIR)/password-store/extensions

BASHCOMPDIR ?= $(PREFIX)/share/bash-completion/completions
ZSHCOMPDIR ?= $(PREFIX)/share/zsh/site-functions

all:
	@echo "pass-$(PROG) is a shell script and does not need compilation, it can be simply executed."
	@echo "To install it try \"make install\" instead."

install:
	@install -Dm0755 $(PROG).bash "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/$(PROG).bash"
	@install -Dm0755 open.bash "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/open.bash"
	@install -Dm0755 close.bash "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/close.bash"
	@install -Dm0755 timer.bash "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/timer.bash"
	@install -Dm0644 pass-close@.service "$(DESTDIR)$(LIBDIR)/systemd/system/pass-close@.service"
	@install -Dm0644 share/pass-$(PROG).1 "$(DESTDIR)$(MANDIR)/man1/pass-$(PROG).1"
	@install -Dm0644 share/pass-$(PROG).bash "$(DESTDIR)$(BASHCOMPDIR)/pass-$(PROG)"
	@install -Dm0644 share/pass-$(PROG).zsh "$(DESTDIR)$(ZSHCOMPDIR)/_pass-$(PROG)"
	@install -Dm0644 share/pass-open.zsh "$(DESTDIR)$(ZSHCOMPDIR)/_pass-open"
	@install -Dm0644 share/pass-close.zsh "$(DESTDIR)$(ZSHCOMPDIR)/_pass-close"
	@install -Dm0644 share/pass-timer.zsh "$(DESTDIR)$(ZSHCOMPDIR)/_pass-timer"
	@echo "pass-$(PROG) is installed succesfully"

uninstall:
	@rm -vrf \
		"$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/$(PROG).bash" \
		"$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/open.bash" \
		"$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/close.bash" \
		"$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/timer.bash" \
		"$(DESTDIR)$(LIBDIR)/systemd/system/pass-close@.service" \
		"$(DESTDIR)$(MANDIR)/man1/pass-$(PROG).1" \
		"$(DESTDIR)$(BASHCOMPDIR)/pass-$(PROG)" \
		"$(DESTDIR)$(ZSHCOMPDIR)/_pass-$(PROG)" \
		"$(DESTDIR)$(ZSHCOMPDIR)/_pass-open" \
		"$(DESTDIR)$(ZSHCOMPDIR)/_pass-close" \
		"$(DESTDIR)$(ZSHCOMPDIR)/_pass-timer"


COVERAGE ?= true
TMP ?= /tmp/pass-tomb
PASS_TEST_OPTS ?= --verbose --immediate --chain-lint --root=/tmp/sharness
T = $(sort $(wildcard tests/*.sh))
export COVERAGE TMP

tests: $(T)
	@tests/results

$(T):
	@$@ $(PASS_TEST_OPTS)


lint:
	shellcheck -s bash $(PROG).bash open.bash close.bash tests/commons tests/results

clean:
	@rm -vrf tests/test-results/ tests/gnupg/random_seed


.PHONY: install uninstall tests $(T) lint clean

=== debian/changelog ===
pass-tomb (1.3-4) unstable; urgency=medium

  * Move aliased files to /usr (Closes: #1073759).
  * Updating copyright for debian directory.

 -- David Kunz <david.kunz@dknet.ch>  Thu, 04 Jul 2024 15:17:02 +0200

pass-tomb (1.3-3) unstable; urgency=medium

  * Fix file locations. (Closes: #1034240).

 -- David Kunz <david.kunz@dknet.ch>  Tue, 25 Apr 2023 10:41:49 +0200

pass-tomb (1.3-2) unstable; urgency=medium

  * Change path from /lib to /usr (Closes: #1003996).

 -- David Kunz <david.kunz@dknet.ch>  Wed, 19 Jan 2022 07:49:30 +0100

pass-tomb (1.3-1) unstable; urgency=medium

  * Merging upstream version 1.3.
  * Adding watch file.
  * Updating copyright.
  * Updating Standards-Version to 4.6.0.
  * Updating vcs in control.

 -- David Kunz <david.kunz@dknet.ch>  Mon, 10 Jan 2022 14:04:36 +0100

pass-tomb (1.2-1) experimental; urgency=medium

  * Releasing debian version 1.2-1 (Closes: #951119).
  * Fixing install location bash-completion.
  * Updating debhelper.
  * Updating standards-version.
  * Adding Copyrights for new version.
  * Enabling dh_auto_test.

 -- David Kunz <david.kunz@dknet.ch>  Fri, 19 Feb 2021 12:53:08 +0100

pass-tomb (1.1-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 16:22:09 +0100

=== debian/control ===
Source: pass-tomb
Section: admin
Priority: optional
Maintainer: David Kunz <david.kunz@dknet.ch>
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/roddhjav/pass-tomb
Vcs-Browser: https://salsa.debian.org/david.kunz/pass-tomb
Vcs-Git: https://salsa.debian.org/david.kunz/pass-tomb.git

Package: pass-extension-tomb
Section: admin
Architecture: all
Depends:
 pass,
 tomb,
 ${misc:Depends},
Enhances:
 pass,
Description: lightweight directory-based password manager (tomb extension)
 Stores, retrieves, generates, and synchronizes passwords securely using
 gpg and git.
 .
 This package provides an extension for the password store that allows one to
 use tomb to keep the password tree encrypted when it is not used.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- SYSTEM_EXTENSION_DIR=/usr/lib/password-store/extensions LIBDIR=/usr/lib BASHCOMPDIR=/usr/share/bash-completion/completions

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pass-tomb-$1\.tar\.gz/ \
  https://github.com/roddhjav/pass-tomb/tags .*/v?(\d\S+)\.tar\.gz
